module App

    class CacheKey

        ARRAY_AWS_REGIONS = 'aws_regions'

    end

    class Cache

        # Stores a string representation of a Array/Hash/String in the /tmp directory using a unique key + timestamp.
        # Key is the unique key used for retrieving it -- stored as constant in class above ^ App::CacheKey
        # Data can be either anything. It will simply be stored as object.inspect.
        # Expire hours is the amount of hours this Hash should be stored for.
        # @return void
        def self.store(key, data, expire_hours = nil)

            # TODO

        end

        # Returns either the data or nil.
        # Nil will be returned in 2 cases, the key doesn't exist or the data has expired.
        # @return Object|nil
        def self.get(key)

            # TODO

            nil

        end

        # Checks if a key exists but doesn't actually parse it.
        # @return boolean
        def self.exists?(key)

            # TODO

            false

        end

        # Invalidate a cache key. Does nothing if key doesn't exist.
        # @return void
        def self.invalidate(key)

            # TODO

        end

    end

end